import { getEmail } from '@/utils/auth'
import request from '@/utils/request'
export default [
  // {
  //   label: '提交表单',
  //   value: 'submitForm',
  // },
  // {
  //   label: '启动流程',
  //   value: 'startProcess',
  // },
  {
    label: '获取所有部门',
    value: 'getDepts'
  },
  {
    label: '获取所有用户',
    value: 'getUsers'
  },
  {
    label: '获取项目阶段',
    value: 'getProjectStage'
  },
  {
    label: '获取业务类型',
    value: 'getServiceType'
  },
  // {
  //   label: '获取项目类型',
  //   value: 'getProjectType'
  // },
  {
    label: '获取移动业务阶段',
    value: 'getYidongStage'
  },
  {
    label: '获取驻地网业务阶段',
    value: 'getZhudiwangStage'
  },
  {
    label: '获取铁塔业务阶段',
    value: 'getTietaStage'
  },
  {
    label: '获取项目状态',
    value: 'getProjectStatus'
  },
  {
    label: '获取商机来源',
    value: 'getSourceBusinessOppor'
  },
  {
    label: '获取合同',
    value: 'getContracts'
  },
  {
    label: '获取供应商',
    value: 'getSuppliers'
  },
  {
    label: '获取客户信息',
    value: 'getCustomers'
  },
  {
    label: '获取区域列表',
    value: 'getAreas'
  },
  {
    label: '获取业务线列表',
    value: 'getServiceLines'
  },
  {
    label: '获取运营商列表',
    value: 'getOperators'
  },
  {
    label: '获取上游客户列表',
    value: 'getUppers'
  },
  {
    label: '获取需求来源',
    value: 'getNeedSources'
  },
  {
    label: '获取基站状态列表',
    value: 'getJzStates'
  },
  {
    label: '获取付款方式',
    value: 'getPayType'
  },
  {
    label: '获取付款组织',
    value: 'getPayOrg'
  },
  {
    label: '获取款项类型',
    value: 'getAmountType'
  }
]
export const tableApis = [
  {
    label: '获取合同',
    value: 'getContracts'
  },
  {
    label: '获取供应商',
    value: 'getSuppliers'
  },
  {
    label: '获取客户信息',
    value: 'getCustomers'
  }
]

export const apiMap = {
  submitForm(that, params) {
    const arry = []
    params.instanceFieldList.forEach(element => {
      // 空数组暂时不判断（也存为实例值）
      if (element.value !== '' && element.value !== null) {
        arry.push({
          fieldId: element.businessId,
          fieldValue: typeof element.value === 'string' ? element.value : JSON.stringify(element.value)
        })
      }
    })
    // TODO:判断apiParams中是否有实例id,有则请求编辑接口、无则请求添加接口
    const apiParams = {
      templateId: params.templateId,
      addData: JSON.stringify(arry)
    }
    // 请求添加实例接口
    that.$http.post('/pmsinstancefield/newInsert', apiParams).then(res => {
      that.$message.success('实例添加成功！')
      window.history.back(-1)
    })
  },
  startProcess(that, params, message, callback) {
    // 启动流程、（提交/驳回/通过）
    const array = params.queryProcessCommitDtoList
    if (array instanceof Array) {
      params.queryProcessCommitDtoList = JSON.stringify(array.map(field => {
        return {
          fieldId: field.businessId,
          fieldValue: typeof field.value === 'string' ? field.value : JSON.stringify(field.value),
          remarks: field.remarks
        }
      }))
    } else {
      return
    }
    that.$http.post('/pmsinstance/startProcessInstance', params).then(res => {
      that.$message.success(message)
      callback && callback()
      window.history.back(-1)
      // eslint-disable-next-line handle-callback-err
    }).catch(err => {
      callback && callback()
    })
  },
  addAndStartProcess(that, params, message, callback) {
    // 添加实例且启动流程
    const array = params.queryProcessCommitDtoList
    if (array instanceof Array) {
      params.queryProcessCommitDtoList = JSON.stringify(array.map(field => {
        return {
          fieldId: field.businessId,
          fieldValue: typeof field.value === 'string' ? field.value : JSON.stringify(field.value),
          remarks: field.remarks
        }
      }))
    } else {
      return
    }
    that.$http.post('/pmsinstance/addAndStartProcessInstance', params).then(res => {
      that.$message.success(message)
      callback && callback()
      window.history.back(-1)
      // eslint-disable-next-line handle-callback-err
    }).catch(err => {
      callback && callback()
    })
  },
  getProjectStage(that, params, callback) {
    // that.$http.get('/sdictionary', { type: 'project' }).then(res => {
    //   callback(res)
    // })
    return request({
      url: '/sdictionary',
      method: 'get',
      params: { type: 'project' }
    })
  },
  getYidongStage(that, params, callback) {
    that.$http.get('/sdictionary', { type: 'yidong' }).then(res => {
      callback(res)
    })
  },
  getZhudiwangStage(that, params, callback) {
    that.$http.get('/sdictionary', { type: 'zhudiwang' }).then(res => {
      callback(res)
    })
  },
  getTietaStage(that, params, callback) {
    that.$http.get('/sdictionary', { type: 'tieta' }).then(res => {
      callback(res)
    })
  },
  getDepts(that, params, callback) {
    that.$http.get('/sdept', params || {}).then(res => {
      callback(res)
    })
  },
  getUsers(that, params, callback) {
    that.$http.get('/login/getAllUsers', params || {}).then(res => {
      // let optionArray = []
      // if(res.data instanceof Array){
      //   res.data.forEach(item => {
      //     optionArray.push({
      //       label: item.cate_name,
      //       value: item.cate_id
      //     })
      //   })
      // }
      // res.data = optionArray
      callback && callback(res)
    })
  },
  getProjectStatus(that, params, callback) {
    that.$http.get('/sdictionary', { type: 'PROJECT_STATUS' }).then(res => {
      callback(res)
    })
  },
  getProjectType(that, params, callback) {
    that.$http.get('/sdictionary', { type: 'project' }).then(res => {
      callback(res)
    })
  },
  getSourceBusinessOppor(that, params, callback) {
    that.$http.get('/sdictionary', { type: 'SOURCE_BUSINESS_OPPOR' }).then(res => {
      callback(res)
    })
  },
  getServiceType(that, params, callback) {
    // that.$http.get('/sdictionary', { type: 'SERVICE' }).then(res => {
    //   callback(res)
    // })
    return request({
      url: '/sdictionary',
      method: 'get',
      params: { type: 'SERVICE' }
    })
  },
  getContracts(that, params, callback) {
    if (params) {
      params.email = getEmail()
    }
    that.$http.get('/contract/getContractList', params || { email: getEmail() }).then(res => {
      const optionArray = []
      if (res.data instanceof Array) {
        res.data.forEach(item => {
          item.label = item.title
          item.value = item.numb
          optionArray.push(item)
        })
      }
      res.data = optionArray
      callback && callback(res)
    })
  },
  getSuppliers(that, params, callback) {
    if (params) {
      params.email = getEmail()
    }
    that.$http.get('/contract/getSupplierList', params || { email: getEmail() }).then(res => {
      const optionArray = []
      if (res.data instanceof Array) {
        res.data.forEach(item => {
          item.label = item.name
          item.value = item.id
          optionArray.push(item)
        })
      }
      res.data = optionArray
      callback && callback(res)
    })
  },
  getCustomers(that, params, callback) {
    that.$http.get('/contract/getCustomerList', params || { email: getEmail() }).then(res => {
      const optionArray = []
      if (res.data instanceof Array) {
        res.data.forEach(item => {
          item.label = item.name
          item.value = item.id
          optionArray.push(item)
        })
      }
      res.data = optionArray
      callback && callback(res)
    })
  },
  getAreas(that, params, callback) {
    params = that.$ha.generateSignAndTimestamp()
    that.$http.get('/commonMes/getArea', params || {}).then(res => {
      const optionArray = []
      if (res.data instanceof Array) {
        res.data.forEach(item => {
          optionArray.push({
            label: item.region_name,
            value: item.id
          })
        })
      }
      res.data = optionArray
      callback && callback(res)
    })
  },
  getServiceLines(that, params, callback) {
    params = that.$ha.generateSignAndTimestamp()
    that.$http.get('/commonMes/getServiceLine', params || {}).then(res => {
      const optionArray = []
      if (res.data instanceof Array) {
        res.data.forEach(item => {
          optionArray.push({
            label: item.business_name,
            value: item.business_id
          })
        })
      }
      res.data = optionArray
      callback && callback(res)
    })
  },
  getOperators(that, params, callback) {
    params = that.$ha.generateSignAndTimestamp()
    that.$http.get('/commonMes/getOperator', params || {}).then(res => {
      const optionArray = []
      if (res.data instanceof Array) {
        res.data.forEach(item => {
          optionArray.push({
            label: item.operator_name,
            value: item.operator_id
          })
        })
      }
      res.data = optionArray
      callback && callback(res)
    })
  },
  getUppers(that, params, callback) {
    params = that.$ha.generateSignAndTimestamp()
    that.$http.get('/commonMes/getUpper', params || {}).then(res => {
      const optionArray = []
      if (res.data instanceof Array) {
        res.data.forEach(item => {
          optionArray.push({
            label: item.customers_name,
            value: item.customers_id
          })
        })
      }
      res.data = optionArray
      callback && callback(res)
    })
  },
  getNeedSources(that, params, callback) {
    params = that.$ha.generateSignAndTimestamp()
    that.$http.get('/commonMes/getNeedSouce', params || {}).then(res => {
      const optionArray = []
      if (res.data instanceof Array) {
        res.data.forEach(item => {
          optionArray.push({
            label: item.sources_name,
            value: item.sources_id
          })
        })
      }
      res.data = optionArray
      callback && callback(res)
    })
  },
  getJzStates(that, params, callback) {
    params = that.$ha.generateSignAndTimestamp()
    that.$http.get('/commonMes/getJzState', params || {}).then(res => {
      const optionArray = []
      if (res.data instanceof Array) {
        res.data.forEach(item => {
          optionArray.push({
            label: item.cate_name,
            value: item.cate_id
          })
        })
      }
      res.data = optionArray
      callback && callback(res)
    })
  },
  getPayType(that, params, callback) {
    that.$http.post('/contract/getPayCommonMes', {
      type: 1
    }).then(res => {
      const optionArray = []
      if (res.data instanceof Array) {
        res.data.forEach(item => {
          optionArray.push({
            label: item.name,
            value: item.name
          })
        })
      }
      res.data = optionArray
      callback && callback(res)
    })
  },
  getPayOrg(that, params, callback) {
    that.$http.post('/contract/getPayCommonMes', {
      type: 2
    }).then(res => {
      const optionArray = []
      if (res.data instanceof Array) {
        res.data.forEach(item => {
          optionArray.push({
            label: item.name,
            value: item.name
          })
        })
      }
      res.data = optionArray
      callback && callback(res)
    })
  },
  getAmountType(that, params, callback) {
    that.$http.post('/contract/getPayCommonMes', {
      type: 3
    }).then(res => {
      const optionArray = []
      if (res.data instanceof Array) {
        res.data.forEach(item => {
          optionArray.push({
            label: item.name,
            value: item.name
          })
        })
      }
      res.data = optionArray
      callback && callback(res)
    })
  },
  submitPayForm(that, params, callback) {
    that.$http.post('/contract/savePay', params).then(res => {
      callback && callback(res)
    }).catch(err => {
      callback && callback(err)
    })
  },
  editPayForm(that, params, callback) {
    that.$http.post('/contract/updatePay', params).then(res => {
      callback && callback(res)
    }).catch(err => {
      callback && callback(err)
    })
  }
}
