import fa from 'element-ui/src/locale/lang/fa'

export default [
  // “基础字段”组
  {
    name: '基础字段',
    fields: [
      // 输入框
      {
        key: '1-1',
        type: 'input',
        name: '输入框',
        specialTag: '',
        ruleRegular: '',
        ruleApi: '',
        sortPriority: 0,
        value: '',
        placeholder: '请输入内容',
        column: 24,
        required: false,
        showHeader: true,
        becomeFilter: false
        // becomeSortCondition: false
      },
      // 输入框
      {
        key: '1-2',
        type: 'textarea',
        ruleRegular: '',
        sortPriority: 0,
        ruleApi: '',
        name: '文本域',
        specialTag: '',
        value: '',
        placeholder: '请输入内容',
        column: 24,
        required: false,
        showHeader: false,
        becomeFilter: false
        // becomeSortCondition: false
      },
      // 下拉框
      {
        key: '1-3',
        type: 'select',
        name: '下拉框',
        specialTag: '',
        value: '',
        multiple: false, // 开启多选
        placeholder: '输入提示',
        sortPriority: 0,
        column: 24,
        required: false,
        optionMode: 'static', // origin
        options: [
          {
            label: '选项1',
            value: '6bfd9c00-9faf'
          },
          {
            label: '选项2',
            value: 'e0baedb0-92e2'
          }
        ],
        optionApi: {
          mode: 'builtIn',
          builtIn: '',
          configOut: {
            name: '',
            method: 'get'
          }
        },
        showHeader: true,
        becomeFilter: false
        // becomeSortCondition: false
      },
      // 多选框
      {
        key: '1-4',
        type: 'checkbox',
        name: '多选框',
        value: [],
        column: 24,
        specialTag: '',
        sortPriority: 0,
        required: false,
        optionMode: 'static',
        options: [
          {
            label: '选项1',
            value: '4de92cf6-971f'
          },
          {
            label: '选项2',
            value: '5c21bffe-957d'
          }
        ],
        optionApi: {
          mode: 'builtIn',
          builtIn: '',
          configOut: {
            name: '',
            method: 'get'
          }
        },
        showHeader: false,
        becomeFilter: false
        // becomeSortCondition: false
      },
      // 单选框
      {
        key: '1-5',
        type: 'radio',
        name: '单选框',
        value: '',
        specialTag: '',
        sortPriority: 0,
        column: 24,
        required: false,
        optionMode: 'static',
        options: [
          {
            label: '选项1',
            value: '3491c82e-980c'
          },
          {
            label: '选项2',
            value: '52cebbdb-94f6'
          }
        ],
        optionApi: {
          mode: 'builtIn',
          builtIn: '',
          configOut: {
            name: '',
            method: 'get'
          }
        },
        showHeader: true,
        becomeFilter: false
        // becomeSortCondition: false
      },
      // 日期选择框
      {
        key: '1-6',
        type: 'date',
        name: '日期选择框',
        value: '',
        column: 24,
        specialTag: '',
        placeholder: '请选择日期',
        required: false,
        format: 'yyyy-MM-dd',
        sortPriority: 0,
        dateFormat: 'year',
        showHeader: true,
        becomeFilter: false
        // becomeSortCondition: false
      },
      // 时间选择框
      {
        key: '1-7',
        type: 'time',
        name: '时间选择框',
        value: '',
        specialTag: '',
        column: 24,
        sortPriority: 0,
        placeholder: '请选择时间',
        required: false,
        format: 'HH:mm:ss',
        showHeader: true,
        becomeFilter: false
        // becomeSortCondition: false
      },
      // 日期-时间选择
      {
        type: 'dateTime',
        value: '',
        name: '日期时间选择',
        specialTag: '',
        column: 24,
        placeholder: '请选择日期时间',
        key: '1-8',
        sortPriority: 0,
        required: false,
        showHeader: true,
        becomeFilter: false
        // becomeSortCondition: false
      },
      // 日期范围选择框
      {
        key: '1-9',
        type: 'dateRange',
        value: [],
        specialTag: '',
        name: '日期范围选择',
        column: 24,
        sortPriority: 0,
        required: false,
        startPlaceholder: '开始日期',
        endPlaceholder: '结束日期',
        format: 'yyyy-MM-dd',
        showHeader: false,
        becomeFilter: false
        // becomeSortCondition: false
      },
      // 标签多选
      // {
      //   key: '1-10',
      //   type: 'tags',
      //   name: '标签多选',
      //   value: [],
      //   sortPriority: 0,
      //   specialTag: '',
      //   column: 24,
      //   required: false,
      //   optionMode: 'static', // origin
      //   options: [
      //     {
      //       label: '选项1',
      //       value: '6bfd9c00-9faf'
      //     },
      //     {
      //       label: '选项2',
      //       value: 'e0baedb0-92e2'
      //     }
      //   ],
      //   optionApi: {
      //     mode: 'builtIn',
      //     builtIn: '',
      //     configOut: {
      //       name: '',
      //       method: 'get'
      //     }
      //   },
      //   showHeader: false,
      //   becomeFilter: false
      //   // becomeSortCondition: false
      // },
      // 对话框表格
      // {
      //   key: '1-11',
      //   type: 'dialogTable',
      //   name: '对话框表格',
      //   value: [],
      //   sortPriority: 0,
      //   specialTag: '',
      //   column: 24,
      //   required: false,
      //   optionMode: 'static', // origin
      //   options: [
      //     {
      //       label: '选项1',
      //       value: '6bfd9c00-9faf'
      //     },
      //     {
      //       label: '选项2',
      //       value: 'e0baedb0-92e2'
      //     }
      //   ],
      //   optionApi: {
      //     mode: 'builtIn',
      //     builtIn: '',
      //     configOut: {
      //       name: '',
      //       method: 'get'
      //     }
      //   },
      //   showHeader: false,
      //   becomeFilter: false
      // },
      // 级联框
      {
        key: '1-12',
        type: 'cascader',
        name: '级联下拉框',
        value: [],
        sortPriority: 0,
        specialTag: '',
        column: 24,
        required: false,
        optionMode: 'static', // origin
        options: [
          {
            label: '选项1',
            value: '6bfd9c00-9faf'
          },
          {
            label: '选项2',
            value: 'e0baedb0-92e2'
          }
        ],
        optionApi: {
          mode: 'builtIn',
          builtIn: '',
          configOut: {
            name: '',
            method: 'get'
          }
        },
        showHeader: false,
        becomeFilter: false
      },
      {
        key: '2-1',
        type: 'uploadButton',
        name: '文件上传按钮',
        value: [],
        specialTag: '',
        column: 24,
        showLabel: false,
        placeholder: '请上传xxx格式的文件，大小不能超过100MB',
        buttonText: '上传文件',
        buttonColor: {
          background: '#FFB800',
          text: '#FFFFFF'
        },
        upload: {
          limit: 1, // 文件上传限制
          accept: [] // 接收文件类型
        }
      }
      // 树形选择组件
      // {
      //   key: '1-12',
      //   type: 'tree',
      //   name: '树形分级选择',
      //   value: [],
      //   sortPriority: 0,
      //   specialTag: '',
      //   column: 24,
      //   required: false,
      //   optionMode: 'origin', // origin
      //   options: [],
      //   optionApi: {
      //     mode: 'builtIn',
      //     builtIn: '',
      //     configOut: {
      //       name: '',
      //       method: 'get'
      //     }
      //   },
      //   showHeader: false,
      //   becomeFilter: false
      // }
    ]
  },
  // “功能按钮”组
  /* {
    name: '功能按钮',
    fields: [
      // 文件上传按钮
      {
        key: '2-1',
        type: 'uploadButton',
        name: '文件上传按钮',
        value: [],
        specialTag: '',
        column: 24,
        showLabel: false,
        placeholder: '请上传xxx格式的文件，大小不能超过100MB',
        buttonText: '上传文件',
        buttonColor: {
          background: '#FFB800',
          text: '#FFFFFF'
        },
        upload: {
          limit: 1, // 文件上传限制
          accept: [] // 接收文件类型
        }
      },
      // 页面跳转按钮
      {
        key: '2-2',
        type: 'pageButton',
        name: '页面跳转按钮',
        specialTag: '',
        column: 24,
        showLabel: false,
        buttonText: '跳转至XXX页面',
        buttonColor: {
          background: '#009688',
          text: '#FFFFFF'
        },
        pageUrl: ''
      },
      // api请求按钮
      {
        key: '2-3',
        type: "apiButton",
        name: 'api请求按钮',
        specialTag: '',
        column: 24,
        showLabel: false,
        buttonText: '请求XXX接口',
        buttonColor: {
          background: '#009688',
          text: '#FFFFFF'
        },
        requestApi: {
          mode: 'builtIn',
          builtIn: '',
          configOut: {
            name: '',
            method: 'get'
          }
        }
      }
    ]
  },*/
  // “布局”组
  {
    name: '布局',
    fields: [
      {
        type: 'group',
        value: [],
        name: '分组',
        column: 24,
        specialTag: '',
        showLabel: false,
        required: false,
        showHeader: false,
        becomeFilter: false,
        key: '3-1'
      }
    ]
  }
  // “克隆模板”组
  /* {
    name: '克隆模板',
    fields: [
      // {
      //   type: 'copyGroup',
      //   name: '测试模板1',
      //   key: '4-1'
      // },
      // {
      //   type: 'copyGroup',
      //   name: '测试模板2',
      //   key: '4-2'
      // },
      // {
      //   type: 'copyGroup',
      //   name: '测试模板3',
      //   key: '4-3'
      // }
    ]
  }*/
]
